package com.qmth.teachcloud.mark.bean.answercard;

import com.qmth.teachcloud.mark.enums.CardSource;


public class AnswerCardVo {

    private Integer number;

    private String code;
    
    private String courseCode;
    private String courseName;
    private String coursePaperNumber;
    private String coursePaperId;
    private String remark;

    private Integer paperCount;
    
    private CardSource source;
    
    private Boolean needAdapte;
	// 是否能适配
    private Boolean canAdapte;

    private String uri;

    private String md5;
    
    private Integer dpi;
    
    private Long updateTime;
    private String adapteUri;
    private String adapteMd5;
	public Integer getNumber() {
		return number;
	}
	public void setNumber(Integer number) {
		this.number = number;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getCoursePaperNumber() {
		return coursePaperNumber;
	}
	public void setCoursePaperNumber(String coursePaperNumber) {
		this.coursePaperNumber = coursePaperNumber;
	}
	public String getCoursePaperId() {
		return coursePaperId;
	}
	public void setCoursePaperId(String coursePaperId) {
		this.coursePaperId = coursePaperId;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Integer getPaperCount() {
		return paperCount;
	}
	public void setPaperCount(Integer paperCount) {
		this.paperCount = paperCount;
	}
	public CardSource getSource() {
		return source;
	}
	public void setSource(CardSource source) {
		this.source = source;
	}
	public Boolean getNeedAdapte() {
		return needAdapte;
	}
	public void setNeedAdapte(Boolean needAdapte) {
		this.needAdapte = needAdapte;
	}
	public String getUri() {
		return uri;
	}
	public void setUri(String uri) {
		this.uri = uri;
	}
	public String getMd5() {
		return md5;
	}
	public void setMd5(String md5) {
		this.md5 = md5;
	}
	public Integer getDpi() {
		return dpi;
	}
	public void setDpi(Integer dpi) {
		this.dpi = dpi;
	}
	public Long getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}
	public String getAdapteUri() {
		return adapteUri;
	}
	public void setAdapteUri(String adapteUri) {
		this.adapteUri = adapteUri;
	}
	public String getAdapteMd5() {
		return adapteMd5;
	}
	public void setAdapteMd5(String adapteMd5) {
		this.adapteMd5 = adapteMd5;
	}

	public Boolean getCanAdapte() {
		return canAdapte;
	}

	public void setCanAdapte(Boolean canAdapte) {
		this.canAdapte = canAdapte;
	}
}
